<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="8.00"
	Name="Kokyu_DSRT_Schedulers"
	ProjectGUID="{3B4A49BB-FECA-1BAD-24E4-D87A69264CCF}"
	RootNamespace="Kokyu_DSRT_Schedulers"
	Keyword="Win32Proj"
	SignManifests="true"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="..\..\..\lib"
			IntermediateDirectory="Debug\Kokyu_DSRT_Schedulers_vc8"
			ConfigurationType="2"
			CharacterSet="0"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs,..\..\..\Kokyu"
				PreprocessorDefinitions="KOKYU_DSRT_SCHEDULERS_BUILD_DLL;_DEBUG;WIN32;_WINDOWS;_CRT_SECURE_NO_DEPRECATE;_M_IX86"
				MinimalRebuild="false"
				ExceptionHandling="2"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				RuntimeTypeInfo="true"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs,..\..\..\Kokyu"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="ACEd.lib TAOd.lib TAO_AnyTypeCoded.lib Kokyud.lib TAO_CodecFactoryd.lib TAO_PId.lib TAO_RTCORBAd.lib TAO_PortableServerd.lib TAO_PI_Serverd.lib TAO_RTSchedulerd.lib"
				OutputFile="$(OutDir)\Kokyu_DSRT_Schedulersd.dll"
				LinkIncremental="2"
				SuppressStartupBanner="true"
				AdditionalLibraryDirectories=".;..\..\..\lib"
				GenerateDebugInformation="true"
				SubSystem="2"
				ImportLibrary="..\..\..\lib\Kokyu_DSRT_Schedulersd.lib"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="..\..\..\lib"
			IntermediateDirectory="Release\Kokyu_DSRT_Schedulers_vc8"
			ConfigurationType="2"
			CharacterSet="0"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				AdditionalIncludeDirectories="..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs,..\..\..\Kokyu"
				PreprocessorDefinitions="KOKYU_DSRT_SCHEDULERS_BUILD_DLL;NDEBUG;WIN32;_WINDOWS;_CRT_SECURE_NO_DEPRECATE;_M_IX86"
				ExceptionHandling="2"
				RuntimeLibrary="2"
				RuntimeTypeInfo="true"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs,..\..\..\Kokyu"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="ACE.lib TAO.lib TAO_AnyTypeCode.lib Kokyu.lib TAO_CodecFactory.lib TAO_PI.lib TAO_RTCORBA.lib TAO_PortableServer.lib TAO_PI_Server.lib TAO_RTScheduler.lib"
				OutputFile="$(OutDir)\Kokyu_DSRT_Schedulers.dll"
				LinkIncremental="1"
				SuppressStartupBanner="true"
				AdditionalLibraryDirectories=".;..\..\..\lib"
				GenerateDebugInformation="true"
				SubSystem="2"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				ImportLibrary="..\..\..\lib\Kokyu_DSRT_Schedulers.lib"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;cxx;cc;C;c">
			<File
				RelativePath="EDF_SchedulingC.cpp">
			</File>
			<File
				RelativePath="FP_Scheduler.cpp">
			</File>
			<File
				RelativePath="FP_SchedulingC.cpp">
			</File>
			<File
				RelativePath="Kokyu_qosC.cpp">
			</File>
			<File
				RelativePath="MIF_Scheduler.cpp">
			</File>
			<File
				RelativePath="MIF_SchedulingC.cpp">
			</File>
			<File
				RelativePath="MUF_Scheduler.cpp">
			</File>
			<File
				RelativePath="MUF_SchedulingC.cpp">
			</File>
			<File
				RelativePath="Task_Stats.cpp">
			</File>
			<File
				RelativePath="utils.cpp">
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hh">
			<File
				RelativePath="EDF_SchedulingC.h">
			</File>
			<File
				RelativePath="EDF_SchedulingS_T.h">
			</File>
			<File
				RelativePath="FP_Scheduler.h">
			</File>
			<File
				RelativePath="FP_SchedulingC.h">
			</File>
			<File
				RelativePath="FP_SchedulingS_T.h">
			</File>
			<File
				RelativePath="Kokyu_dsrt_schedulers_export.h">
			</File>
			<File
				RelativePath="Kokyu_qosC.h">
			</File>
			<File
				RelativePath="Kokyu_qosS_T.h">
			</File>
			<File
				RelativePath="MIF_Scheduler.h">
			</File>
			<File
				RelativePath="MIF_SchedulingC.h">
			</File>
			<File
				RelativePath="MIF_SchedulingS_T.h">
			</File>
			<File
				RelativePath="MUF_Scheduler.h">
			</File>
			<File
				RelativePath="MUF_SchedulingC.h">
			</File>
			<File
				RelativePath="MUF_SchedulingS_T.h">
			</File>
			<File
				RelativePath="Task_Stats.h">
			</File>
			<File
				RelativePath="utils.h">
			</File>
		</Filter>
		<Filter
			Name="Idl Files"
			Filter="idl">
			<File
				RelativePath="EDF_Scheduling.idl">
				<FileConfiguration
					Name="Debug|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on EDF_Scheduling.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -Wb,export_macro=Kokyu_DSRT_Schedulers_Export -Wb,export_include=Kokyu_dsrt_schedulers_export.h &quot;EDF_Scheduling.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="EDF_SchedulingC.cpp;EDF_SchedulingC.h;EDF_SchedulingC.inl;EDF_SchedulingS.inl;EDF_SchedulingS_T.cpp;EDF_SchedulingS_T.h;EDF_SchedulingS_T.inl"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on EDF_Scheduling.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -Wb,export_macro=Kokyu_DSRT_Schedulers_Export -Wb,export_include=Kokyu_dsrt_schedulers_export.h &quot;EDF_Scheduling.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="EDF_SchedulingC.cpp;EDF_SchedulingC.h;EDF_SchedulingC.inl;EDF_SchedulingS.inl;EDF_SchedulingS_T.cpp;EDF_SchedulingS_T.h;EDF_SchedulingS_T.inl"/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="FP_Scheduling.idl">
				<FileConfiguration
					Name="Debug|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on FP_Scheduling.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -Wb,export_macro=Kokyu_DSRT_Schedulers_Export -Wb,export_include=Kokyu_dsrt_schedulers_export.h &quot;FP_Scheduling.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="FP_SchedulingC.cpp;FP_SchedulingC.h;FP_SchedulingC.inl;FP_SchedulingS.inl;FP_SchedulingS_T.cpp;FP_SchedulingS_T.h;FP_SchedulingS_T.inl"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on FP_Scheduling.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -Wb,export_macro=Kokyu_DSRT_Schedulers_Export -Wb,export_include=Kokyu_dsrt_schedulers_export.h &quot;FP_Scheduling.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="FP_SchedulingC.cpp;FP_SchedulingC.h;FP_SchedulingC.inl;FP_SchedulingS.inl;FP_SchedulingS_T.cpp;FP_SchedulingS_T.h;FP_SchedulingS_T.inl"/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="Kokyu_qos.idl">
				<FileConfiguration
					Name="Debug|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on Kokyu_qos.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -Wb,export_macro=Kokyu_DSRT_Schedulers_Export -Wb,export_include=Kokyu_dsrt_schedulers_export.h &quot;Kokyu_qos.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="Kokyu_qosC.cpp;Kokyu_qosC.h;Kokyu_qosC.inl;Kokyu_qosS.inl;Kokyu_qosS_T.cpp;Kokyu_qosS_T.h;Kokyu_qosS_T.inl"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on Kokyu_qos.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -Wb,export_macro=Kokyu_DSRT_Schedulers_Export -Wb,export_include=Kokyu_dsrt_schedulers_export.h &quot;Kokyu_qos.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="Kokyu_qosC.cpp;Kokyu_qosC.h;Kokyu_qosC.inl;Kokyu_qosS.inl;Kokyu_qosS_T.cpp;Kokyu_qosS_T.h;Kokyu_qosS_T.inl"/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="MIF_Scheduling.idl">
				<FileConfiguration
					Name="Debug|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on MIF_Scheduling.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -Wb,export_macro=Kokyu_DSRT_Schedulers_Export -Wb,export_include=Kokyu_dsrt_schedulers_export.h &quot;MIF_Scheduling.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="MIF_SchedulingC.cpp;MIF_SchedulingC.h;MIF_SchedulingC.inl;MIF_SchedulingS.inl;MIF_SchedulingS_T.cpp;MIF_SchedulingS_T.h;MIF_SchedulingS_T.inl"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on MIF_Scheduling.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -Wb,export_macro=Kokyu_DSRT_Schedulers_Export -Wb,export_include=Kokyu_dsrt_schedulers_export.h &quot;MIF_Scheduling.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="MIF_SchedulingC.cpp;MIF_SchedulingC.h;MIF_SchedulingC.inl;MIF_SchedulingS.inl;MIF_SchedulingS_T.cpp;MIF_SchedulingS_T.h;MIF_SchedulingS_T.inl"/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="MUF_Scheduling.idl">
				<FileConfiguration
					Name="Debug|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on MUF_Scheduling.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -Wb,export_macro=Kokyu_DSRT_Schedulers_Export -Wb,export_include=Kokyu_dsrt_schedulers_export.h &quot;MUF_Scheduling.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="MUF_SchedulingC.cpp;MUF_SchedulingC.h;MUF_SchedulingC.inl;MUF_SchedulingS.inl;MUF_SchedulingS_T.cpp;MUF_SchedulingS_T.h;MUF_SchedulingS_T.inl"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on MUF_Scheduling.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -Wb,export_macro=Kokyu_DSRT_Schedulers_Export -Wb,export_include=Kokyu_dsrt_schedulers_export.h &quot;MUF_Scheduling.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="MUF_SchedulingC.cpp;MUF_SchedulingC.h;MUF_SchedulingC.inl;MUF_SchedulingS.inl;MUF_SchedulingS_T.cpp;MUF_SchedulingS_T.h;MUF_SchedulingS_T.inl"/>
				</FileConfiguration>
			</File>
		</Filter>
		<Filter
			Name="Inline Files"
			Filter="i;inl">
			<File
				RelativePath="EDF_SchedulingC.inl">
			</File>
			<File
				RelativePath="EDF_SchedulingS_T.inl">
			</File>
			<File
				RelativePath="FP_SchedulingC.inl">
			</File>
			<File
				RelativePath="FP_SchedulingS_T.inl">
			</File>
			<File
				RelativePath="Kokyu_qosC.inl">
			</File>
			<File
				RelativePath="Kokyu_qosS_T.inl">
			</File>
			<File
				RelativePath="MIF_SchedulingC.inl">
			</File>
			<File
				RelativePath="MIF_SchedulingS_T.inl">
			</File>
			<File
				RelativePath="MUF_SchedulingC.inl">
			</File>
			<File
				RelativePath="MUF_SchedulingS_T.inl">
			</File>
			<File
				RelativePath="Task_Stats.inl">
			</File>
		</Filter>
		<Filter
			Name="Template Files"
			Filter="">
			<File
				RelativePath="EDF_SchedulingS_T.cpp">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="true">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="true">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="FP_SchedulingS_T.cpp">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="true">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="true">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="Kokyu_qosS_T.cpp">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="true">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="true">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="MIF_SchedulingS_T.cpp">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="true">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="true">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="MUF_SchedulingS_T.cpp">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="true">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="true">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
			</File>
		</Filter>
		<Filter
			Name="Documentation"
			Filter="">
			<File
				RelativePath="README">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCustomBuildTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCustomBuildTool"/>
				</FileConfiguration>
			</File>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
